
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "shooting_match_finder/version"

Gem::Specification.new do |spec|
  spec.name          = "shooting_match_finder"
  spec.version       = ShootingMatchFinder::VERSION
  spec.authors       = ["'Branden Mosley'"]
  spec.email         = ["'branden.mosley1337@gmail.com'"]

  spec.summary       = "Find all the shooting competitions near you!"
  spec.description   = "This RubyGem presents a list of shooting competitions in your area by scraping
                        https://practiscore.com/search/matches"
  spec.homepage      = "https://github.com/Almighty-Mose/shooting-match-finder"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "bin"
  spec.executables   = ["find-matches"]
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.16"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "pry", ">= 0"

  spec.add_runtime_dependency "nokogiri", ">= 1.8"
end
